# Get started
The global site tag (gtag.js) is a JavaScript tagging framework and API that allows you to send event data to [Google Analytics](https://analytics.google.com), [AdWords](https://adwords.google.com), and [DoubleClick](https://www.doubleclickbygoogle.com).

The `gtag_interop` library provides interoperability with the `gtag.js` APIs. 

## Add gtag.js to your site
This page describes how to use `gtag.js` to configure a site for [Google Analytics](https://analytics.google.com) tracking. For general (i.e. non-product specific) `gtag.js` documentation, read the [gtag.js developer guide](https://developers.google.com/gtagjs).

### Install the global tracking snippet
To install the global tracking snippet, copy the following code and paste it immediately after the `<head>` tag on every page of your site. Replace `GA_TRACKING_ID` with the tracking ID of the Google Analytics property to which you want to send data.

```html
<script async src="https://www.googletagmanager.com/gtag/js?id=GA_TRACKING_ID"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag() { dataLayer.push(arguments); }
  gtag('js', new Date());
</script>
```

!!! tip
    You need only one global snippet per page.

This snippet loads the `gtag.js` library.
To establish `GA_TRACKING_ID` as the default Google Analytics property identifier, and sends a `pageview` hit to Google Analytics, use the `configure()` method on an instance of the `Analytics` class:

```dart
import 'package:gtag_interop/gtag_interop.dart';

void main() => Analytics('GA_TRACKING_ID')..configure();
```
