import 'dart:html' as dom;
import 'dart:js_util' as js;
import 'package:gtag_interop/gtag_interop.dart';
import 'package:test/test.dart';

/// Tests the features of the [Analytics] class.
void main() => group('Analytics', () {
  const trackingId = 'UA-38560031-41';

  group('.enabled', () {
    final analytics = Analytics(trackingId);

    test('should set and reflect the `ga-disable-GA_TRACKING_ID` window property', () {
      const winProperty = 'ga-disable-$trackingId';
      expect(analytics.enabled, isTrue);
      expect(js.hasProperty(dom.window, winProperty), isFalse);

      analytics.enabled = false;
      expect(analytics.enabled, isFalse);
      expect(js.hasProperty(dom.window, winProperty), isTrue);

      analytics.enabled = true;
      expect(js.getProperty(dom.window, winProperty), isFalse);

      analytics.enabled = false;
      expect(js.getProperty(dom.window, winProperty), isTrue);
    });
  });
});
